Name:          jargs
Version:       1.0
Release:       %mkrel 1
Summary:       Command-line argument parsing for Java
Group:         Development/Java
License:       BSD
Url:           http://jargs.sourceforge.net/
Source0:       http://sourceforge.net/projects/jargs/files/jargs/1.0/jargs-1.0.tar.bz2
Source1:       http://repository.jboss.com/maven2/net/sf/jargs/1.0/jargs-1.0.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: junit
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
jargs provides a convenient, compact, pre-packaged and
comprehensively documented suite of command line option
parsers for the use of Java programmers.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jargs-%{version}

for j in $(find . -name "*.jar" -o -name "*.class"); do
  rm -rf $j
done

%build
ant \
  -Djunit.jar=$(build-classpath junit) \
  jars javadoc
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/%{name}.jar %{buildroot}%{_javadir}/
install -pm 644 lib/%{name}-test.jar %{buildroot}%{_javadir}/

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/api/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jargs.jar
%{_javadir}/jargs-test.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENCE README TODO doc/CHANGES

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132762
- Clean spec file

  + gil <gil>
    - imported package jargs

